//==============================================
//      File polaris.inc
//
//      Components library for Delphi and BCB++.
//       .
//      Compiler options.
//
//      Copyright 1998-2002 Polaris Software
//      http://polesoft.da.ru
//      mailto: PolarisLib@mail.ru
//==============================================

//       PAS-  Polaris
//   $I
// This module included in all PAS-modules of Polaris packages
// with using $I option

//  POLARIS_D3 - Delphi 3 or higher
//  POLARIS_D4 - Delphi 4 or higher
//  POLARIS_D5 - Delphi 5 or higher
//  POLARIS_D6 - Delphi 6 or higher
//  POLARIS_DELPHI5 - Delphi 5 or higher (not BCB 5)

{$IFDEF VER100} { Delphi 3 }
  {$DEFINE POLARIS_D3}
{$ENDIF}

{$IFDEF VER110} { C++Builder 3 }
  {$DEFINE POLARIS_D3}
{$ENDIF}

{$IFDEF VER120} { Delphi 4 }
  {$DEFINE POLARIS_D3}
  {$DEFINE POLARIS_D4}
{$ENDIF}

{$IFDEF VER125} { C++Builder 4 }
  {$DEFINE POLARIS_D3}
  {$DEFINE POLARIS_D4}
{$ENDIF}

{$IFDEF VER130} { Delphi 5 & C++Builder 5 }
  {$DEFINE POLARIS_D3}
  {$DEFINE POLARIS_D4}
  {$DEFINE POLARIS_D5}
{$ENDIF}

{$IFDEF VER140} { Delphi 6 & C++Builder 6 }
  {$DEFINE POLARIS_D3}
  {$DEFINE POLARIS_D4}
  {$DEFINE POLARIS_D5}
  {$DEFINE POLARIS_D6}
{$ENDIF}

{$IFDEF BCB}
  {$DEFINE POLARIS_BCB}
{$ELSE}
  {$DEFINE POLARIS_DELPHI}
  {$IFDEF POLARIS_D5}
    {$DEFINE POLARIS_DELPHI5}
  {$ENDIF}
{$ENDIF}

// support CompuServe GIF format
{$DEFINE GIF}

// support JPEG format
{.$DEFINE JPEG}

// using BDE
{$DEFINE BDE}

// use F5 for Refresh (Ctrl-R instead)
{$DEFINE REFRESH_F5}

// using TRxDBGrid
{$DEFINE USE_TRXDBGRID}

{$IFDEF USE_TRXDBGRID}
  // using TrDBGrid
  {$DEFINE USE_TRDBGRID}
{$ENDIF}

// Week begins on Monday
{$DEFINE WEEK_MONDAY}

